Subject: Re: [PATCH 0/9] mm: Hardened usercopy

From: Ingo Molnar <[email-masked]>
Date: Fri, 8 Jul 2016 10:46:39 +0200

* Kees Cook <[email-masked]> wrote:

> - I couldn't detect a measurable performance change with these features
>   enabled. Kernel build times were unchanged, hackbench was unchanged,
>   etc. I think we could flip this to "on by default" at some point.

Could you please try to find some syscall workload that does many small user 
copies and thus excercises this code path aggressively?

If that measurement works out fine then I'd prefer to enable these security checks 
by default.

Thaks,

	Ingo